org.apache.lucene.search

## Class PhraseWildcardQuery.TermsData

- java.lang.Object
- - org.apache.lucene.search.PhraseWildcardQuery.TermsData

Enclosing class:
  PhraseWildcardQuery

    protected static class PhraseWildcardQuery.TermsData
    extends Object

Holds the `TermState` and `TermStatistics` for all the matched and collected `Term`, for all phrase terms, for all segments.

### Field Summary

Fields
`protected int` `numSegments`
`protected int` `numTerms`
`protected int` `numTermsMatching`
`protected PhraseWildcardQuery.TermData[]` `termDataPerPosition`
`protected List<TermStatistics>` `termStatsList`

### Constructor Summary

Constructors
`protected` `TermsData(int numTerms, int numSegments)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected boolean` `areAllTermsMatching()`
`protected PhraseWildcardQuery.TermData` `getOrCreateTermData(int termPosition)`
`protected PhraseWildcardQuery.TermData` `getTermData(int termPosition)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### numTerms

    protected final int numTerms

#### numSegments

    protected final int numSegments

#### termStatsList

    protected final List<TermStatistics> termStatsList

#### termDataPerPosition

    protected final PhraseWildcardQuery.TermData[] termDataPerPosition

#### numTermsMatching

    protected int numTermsMatching

### Constructor Detail

#### TermsData

    protected TermsData(int numTerms,
                        int numSegments)

### Method Detail

#### getOrCreateTermData

    protected PhraseWildcardQuery.TermData getOrCreateTermData(int termPosition)

#### getTermData

    protected PhraseWildcardQuery.TermData getTermData(int termPosition)

#### areAllTermsMatching

    protected boolean areAllTermsMatching()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`